Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Nebula » Message Cannot Satisfy Dependency when adding nebula update site to target platform
Message Cannot Satisfy Dependency when adding nebula update site to target platform [message #802060] Sun, 19 February 2012 05:31 Go to next message
Christian Eugster is currently offline Christian Eugster
Messages: 134
Registered: July 2009
Location: St. Gallen Switzerland
Senior Member
I want to add the nebula update sites as software site to my target platform and get always the message: Cannot satisfy dependency for one of the selected widgets. What am I to do to correctly add the software site to my target platform? Thank you!
Re: Message Cannot Satisfy Dependency when adding nebula update site to target platform [message #804649 is a reply to message #802060] Wed, 22 February 2012 16:19 Go to previous messageGo to next message
Nepomuk Seiler is currently offline Nepomuk Seiler
Messages: 88
Registered: December 2010
Member
Which updatesites are you using? Do you refer to this download site http://www.eclipse.org/nebula/downloads.php?

What dependencies could not be resolved? I really had a long time nothing to with Nebula, but
I downloaded all plugins instead of using the update sites.

[Updated on: Wed, 22 February 2012 16:19]

Report message to a moderator

Re: Message Cannot Satisfy Dependency when adding nebula update site to target platform [message #809316 is a reply to message #802060] Tue, 28 February 2012 13:33 Go to previous messageGo to next message
Wim Jongman is currently offline Wim Jongman
Messages: 276
Registered: July 2009
Senior Member

Hi Christian,

That is a bug. I have filed: https://bugs.eclipse.org/bugs/show_bug.cgi?id=372784

Please add yourself to the cc to get updated. It should be solved real quick.


Regards,

Wim

[Updated on: Tue, 28 February 2012 13:35]

Report message to a moderator

Re: Message Cannot Satisfy Dependency when adding nebula update site to target platform [message #809896 is a reply to message #809316] Wed, 29 February 2012 07:15 Go to previous messageGo to next message
Mickael Istria is currently offline Mickael Istria
Messages: 746
Registered: July 2009
Location: Grenoble, France
Senior Member
Christian, Wim,

Actually, this is not a Nebula bug. This is not a bug.
Since target platform have several mechanics to resolve dependencies, adding Nebula from p2 does not resolve Nebula deps it current installation. That's the way target platforms work with p2...
See https://bugs.eclipse.org/bugs/show_bug.cgi?id=372784#c3

Regards,
Re: Message Cannot Satisfy Dependency when adding nebula update site to target platform [message #868809 is a reply to message #809896] Wed, 02 May 2012 11:16 Go to previous message
Fabrizio Marini is currently offline Fabrizio Marini
Messages: 2
Registered: May 2012
Junior Member
hi,
i'm trying to install Nebula Release (stable version) on

Eclipse for RCP and RAP Developers
Version: Indigo Service Release 2 (32 bits)

Using Eclipse marketplace, dragging and dropping the link provided here
hxxp://www.eclipse.org/nebula/downloads.php

i am not able to complete the installation, the error returned is:

Cannot complete the install because one or more required items could not be
found.
Software being installed: Nebula Widgets Examples 1.0.4.201205011846
(org.eclipse.nebula.examples.release.feature.feature.group 1.0.4.201205011846)
Missing requirement: Nebula CDatetime widget (Incubation) 0.14.0.201205011846
(org.eclipse.nebula.widgets.cdatetime 0.14.0.201205011846) requires 'bundle
org.eclipse.nebula.cwt 0.9.0' but it could not be found
Cannot satisfy dependency:
From: Nebula Widgets Examples 1.0.4.201205011846
(org.eclipse.nebula.examples.release.feature.feature.group 1.0.4.201205011846)
To: org.eclipse.nebula.widgets.cdatetime.example [0.14.0.201205011846]
Cannot satisfy dependency:
From: Nebule CDateTime Example 0.14.0.201205011846
(org.eclipse.nebula.widgets.cdatetime.example 0.14.0.201205011846)
To: bundle org.eclipse.nebula.widgets.cdatetime 0.14.0

I get the same problem if i try to install it with Help -> Install new software
at this site: hxxp://download.eclipse.org/technology/nebula/snapshot or the
downloaded repository.zip

i don't understand what i'm missing.
Thanks
Previous Topic:Example print Chart
Next Topic:GridTreeViewer - easy way to highlight row mouse is on?
Goto Forum:
  


Current Time: Mon Sep 01 22:11:16 EDT 2014

Powered by FUDForum. Page generated in 0.02986 seconds